package com.ruoyi.system.domain.vo.orderTaking;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public class GoodsVo {
       private String  goodsId;
       private String  name;
       private String price;

    public List<SkuVo> getSkus() {
        return skus;
    }

    public void setSkus(List<SkuVo> skus) {
        this.skus = skus;
    }

    private List<SkuVo> skus;

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }



    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }


    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }






    private  String discount;
       private String pictures;
       private JSONObject pics;

    public String getPictures() {
        return pictures;
    }

    public void setPictures(String pictures) {
        this.pictures = pictures;
    }

    public JSONArray getSpecs() {
        return specs;
    }

    public void setSpecs(JSONArray specs) {
        this.specs = specs;
    }

    public JSONObject getPics() {
        return pics;
    }

    public String getSpecString() {
        return specString;
    }

    public void setSpecString(String specString) {
        this.specString = specString;
    }

    public void setPics(JSONObject pics) {
        this.pics = pics;
    }

    private String desc;
       private String remarks;
       private List<String> tags;
       private JSONArray specs;

       private String specString;
}
